rem ####################################################################
rem #                                                                  #
rem #    :  Խ ̺/ε/                      #
rem #                                                                  #
rem # ̺ : BOARD                                                   #
rem #                                                                  #
rem # ۼ :   (unclepark@hanmail.net)                         #
rem #                                                                  #
rem # ۼ : 2001.09.26                                              #
rem #                                                                  #
rem ####################################################################

DROP TABLE board;

CREATE TABLE board
(id          NUMBER(10),                     -- Խñ UNIQUE ID
 name        VARCHAR2(15),                   -- Խ
 writedate   VARCHAR2(20),                   -- Խ
 email       VARCHAR2(30),                   -- E-MAIL
 homepage    VARCHAR2(50),                   -- HOMEPAGE
 pass        VARCHAR2(10),                   -- PASSWORD
 ip          VARCHAR2(20),                   -- IP ּ
 delflag     VARCHAR2(01),                   -- Խñ ('Y')
 tag         VARCHAR2(01),                   -- HTML ±뿩('Y')
 title       VARCHAR2(100),                  -- Խ
 content     VARCHAR2(2000),                 -- Խó
 filename    VARCHAR2(50),                   -- ÷ϸ
 filesize    NUMBER,                         -- ÷ũ
 viewcnt     NUMBER(5),                      -- ȸ
 grp         NUMBER(10),                     -- 亯 Խ  GROUP ID
 g_level     NUMBER(10),                     -- 亯 Խñ LEVEL
 g_step      NUMBER(5),                      -- Խñ SORT
 CONSTRAINTS board_pk PRIMARY KEY(id))
 TABLESPACE advk_ts
 PCTFREE     20
 PCTUSED     60
 INITRANS    2
 MAXTRANS    255
 STORAGE (INITIAL 5M
          NEXT    1M
          MAXEXTENTS 121
          MINEXTENTS 1
          PCTINCREASE 0
          FREELISTS   1
          FREELIST GROUPS 1);

-- INDEX 

DROP INDEX board_idx;

CREATE INDEX board_idx ON BOARD(grp,g_step);

-- Խñ UNIQUE ID ϱ Ͽ Sequence .

DROP SEQUENCE board_seq;

CREATE SEQUENCE board_seq;

